Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234755 - error handling in copy-paste code
Summary: error handling in copy-paste code
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-user-dirs
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-01 13:30 UTC by Matthias Clasen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 14:29:16 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2007-04-01 13:30:04 UTC
I used the lookup function to make gnome-screensavers slide show screensaver
use PICTURES. It turns out people don't like the fact that it falls back to
HOME if user-dirs are not set up. 

To fix this I had to use 
 strcmp (result, "/tmp") == 0 || strcmp (result, g_get_home_dir()) == 0)
which is a bit ugly. It would be nicer if I could either get some kind of
error reported, or pass in a replacement object a la

default = g_build_filename (g_get_home_dir (), "Pictures", NULL);
path = xdg_user_dirs_lookup_or_else ("PICTURES", default);

Comment 1 Alexander Larsson 2007-04-11 14:29:16 UTC
Fixed in xdg-user-dirs-0.6-1.fc7


Note You need to log in before you can comment on or make changes to this bug.